Skip to main content
GET
Get Card Details

Headers

X-Eip712-Signature
string
required

EIP-712 signature over the view-details challenge.

X-Eip712-Nonce
string
required

Nonce of the challenge that was signed.

Path Parameters

cardId
string<uuid>
required

Query Parameters

encryptedKey
string
required

Base64-encoded RSA-OAEP encrypted AES-256 session key.

keyId
string
required

Id of the encryptionKeys entry that wrapped encryptedKey.

Response

The request has succeeded.

cardNumber
string
required

AES-GCM encrypted card number (PAN), Base64-encoded.

cvv
string
required

AES-GCM encrypted CVV, Base64-encoded.

expirationDate
string
required

Card expiration date in plaintext (e.g. "12/28").

iv
string
required

Base64-encoded AES-GCM initialization vector.